Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.resource
Interface ResourceNamingInterface

All Known Implementing Classes:
  SequenceResourceNaming, SimpleResourceNaming, UUIDResourceNaming

    public interface ResourceNamingInterface

Nested Class Summary
`static class` | `ResourceNamingInterface.FileNamingType`

Method Summary
`Map<String,String>` | `getDirectoryMap()`
`String` | `nameResource(String prefix, String originalFilePath, String extension, ResourceNamingInterface.FileNamingType namingType)` Create a (file) name for a resource based on a prefix and an extension.

Method Detail

### nameResource

    String nameResource(String prefix,
                        String originalFilePath,
                        String extension,
                        ResourceNamingInterface.FileNamingType namingType)

  Create a (file) name for a resource based on a prefix and an extension.

  Parameters:
    `prefix` - The prefix, usually the name of the object that is being exported
    `originalFilePath` - The original path to the file. This will be used in the naming of the resource to ensure that the same GUID will be returned for the same file.
    `extension` - The extension of the filename to be created. For now this also gives a clue as to what kind of data is being exported and named..
    `namingType` - the file naming type to use, in case of DATA_FILE for example, the return value might not be the complete file, but rather
  Returns:
    The filename, typically including a GUID, but always the same when given the same prefix and extension as input.

### getDirectoryMap

    Map<String,String> getDirectoryMap()

  Returns:
    the map of folders mapped to created parameters during the resource naming.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD